> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.rushorder.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.rushorder.com/_mcp/server.

# Get journal activity report

GET https://dream.rushorder.com/api/jarreport
Content-Type: application/json

This report is only available for certain clients. Contact your Rush Order representative to have it enabled.

Obtain a paginated list of journal activity log data. Besides specifying the year, you can also define a time range according to your custom fiscal calendar, provided it exists in our database, or specify the month digit instead. Returns a 400 Bad Request if the period is invalid.

Reference: https://docs.rushorder.com/api-reference/reports/get-journal-activity

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Headers

- `RushOrderMomCode` (string, required) — All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

### Body (application/json)

This endpoint expects an object.

- `Period` (string, required)
- `Year` (double, required)
- `Page` (double, optional)
- `PageSize` (double, optional)

## Response

### 200

Success

- `DateRange` (JarResponse200DateRange, optional)
- `PageSize` (integer, optional)
- `Page` (integer, optional)
- `LastPage` (integer, optional)
- `Total` (integer, optional)
- `Count` (integer, optional)
- `Success` (boolean, optional)
- `Error` (string, optional)
- `Message` (string, optional)
- `Data` (list of JARData, optional)

## Errors

### 400 Bad Request Error

The request body is invalid

- `any`

### 401 Unauthorized Error

Access token is missing or invalid

- `any`

## Types

### JarResponse200DateRange

- `Period` (string, optional)
- `Year` (integer, optional)
- `StartDate` (datetime, optional)
- `EndDate` (datetime, optional)

### JARData

- `Account` (string, optional)
- `OrderDate` (datetime, optional)
- `RushOrderNumber` (integer, optional)
- `Inpart` (string, optional)
- `AlternateOrder` (string, optional)
- `CustomerAlternateNumber` (string, optional)
- `CustomerName` (string, optional)
- `StateTaxCode` (string, optional)
- `CountyTaxCode` (string, optional)
- `PostalTaxCode` (string, optional)
- `NationalTaxRate` (double, optional)
- `StateTaxRate` (double, optional)
- `CountyTaxRate` (double, optional)
- `LocalTaxRate` (double, optional)
- `NationalTaxCharge` (double, optional)
- `StateTaxCharge` (double, optional)
- `CountyTaxCharge` (double, optional)
- `LocalTaxCharge` (double, optional)
- `NationalTaxBasis` (double, optional)
- `StateTaxBasis` (double, optional)
- `CountyTaxBasis` (double, optional)
- `LocalTaxBasis` (double, optional)
- `PaymentMethod` (string, optional)
- `CheckNumber` (string, optional)
- `CardType` (string, optional)
- `LineItem` (string, optional)
- `Description` (string, optional)
- `Association` (string, optional)
- `Quantity` (integer, optional)
- `UnitPrice` (double, optional)
- `LineItemTotal` (double, optional)
- `CostOfGoods` (double, optional)
- `OrderNote` (string, optional)
- `SourceCode` (string, optional)
- `BillToFirstName` (string, optional)
- `BillToLastName` (string, optional)
- `BillToCountry` (string, optional)
- `BillToAddress1` (string, optional)
- `BillToAddress2` (string, optional)
- `BillToCity` (string, optional)
- `BillToState` (string, optional)
- `BillToCounty` (string, optional)
- `BillToZip` (string, optional)
- `BillToEmail` (string, optional)
- `BillToPhone` (string, optional)
- `ShipToFirstName` (string, optional)
- `ShipToLastName` (string, optional)
- `ShipToCountry` (string, optional)
- `ShipToAddress1` (string, optional)
- `ShipToAddress2` (string, optional)
- `ShipToCity` (string, optional)
- `ShipToState` (string, optional)
- `ShipToCounty` (string, optional)
- `ShipToZip` (string, optional)
- `PONumber` (string, optional)
- `ShipmentCost` (double, optional)
- `ShipmentDate` (datetime, optional)
- `ShipMethodDescription` (string, optional)
- `TrackingNumber` (string, optional)
- `FulfillmentWarehouse` (string, optional)
- `Serials` (string, optional)
- `InternetId` (string, optional)
- `PaymentTransactionId` (string, optional)
- `WarrantyTransaction` (boolean, optional)
- `ClassOfTrade` (string, optional)
- `ReturnCode` (string, optional)
- `ReturnReason` (string, optional)
- `NumberOfReturnsProcessed` (integer, optional)
- `NumberOfItemsPicked` (integer, optional)
- `NumberOfServiceItems` (integer, optional)
- `NumberOfCasesPicked` (integer, optional)
- `EntryManual` (integer, optional)
- `EntryImported` (integer, optional)
- `PaidWithCreditCard` (boolean, optional)
- `PaidWithCheck` (boolean, optional)
- `PaidWithPurchaseOrder` (boolean, optional)
- `OrderProcessedDomestic` (boolean, optional)
- `OrderProcessedInternational` (boolean, optional)
- `ItemReturnedToStock` (boolean, optional)
- `InternationalDocumentationPreparedByRushOrder` (boolean, optional)
- `Hazardous` (boolean, optional)
- `SpecialCarrierLabelRequested` (boolean, optional)
- `CapturedSerials` (boolean, optional)

## Examples

**Request**

```json
{
  "Period": "P01",
  "Year": 2023
}
```

**Response**

```json
{
  "DateRange": {
    "Period": "string",
    "Year": 1,
    "StartDate": "2024-01-15T09:30:00Z",
    "EndDate": "2024-01-15T09:30:00Z"
  },
  "PageSize": 1,
  "Page": 1,
  "LastPage": 1,
  "Total": 1,
  "Count": 1,
  "Success": true,
  "Error": "string",
  "Message": "string",
  "Data": [
    {
      "Account": "string",
      "OrderDate": "2024-01-15T09:30:00Z",
      "RushOrderNumber": 1,
      "Inpart": "string",
      "AlternateOrder": "string",
      "CustomerAlternateNumber": "string",
      "CustomerName": "string",
      "StateTaxCode": "string",
      "CountyTaxCode": "string",
      "PostalTaxCode": "string",
      "NationalTaxRate": 1.1,
      "StateTaxRate": 1.1,
      "CountyTaxRate": 1.1,
      "LocalTaxRate": 1.1,
      "NationalTaxCharge": 1.1,
      "StateTaxCharge": 1.1,
      "CountyTaxCharge": 1.1,
      "LocalTaxCharge": 1.1,
      "NationalTaxBasis": 1.1,
      "StateTaxBasis": 1.1,
      "CountyTaxBasis": 1.1,
      "LocalTaxBasis": 1.1,
      "PaymentMethod": "string",
      "CheckNumber": "string",
      "CardType": "string",
      "LineItem": "string",
      "Description": "string",
      "Association": "string",
      "Quantity": 1,
      "UnitPrice": 1.1,
      "LineItemTotal": 1.1,
      "CostOfGoods": 1.1,
      "OrderNote": "string",
      "SourceCode": "string",
      "BillToFirstName": "string",
      "BillToLastName": "string",
      "BillToCountry": "string",
      "BillToAddress1": "string",
      "BillToAddress2": "string",
      "BillToCity": "string",
      "BillToState": "string",
      "BillToCounty": "string",
      "BillToZip": "string",
      "BillToEmail": "string",
      "BillToPhone": "string",
      "ShipToFirstName": "string",
      "ShipToLastName": "string",
      "ShipToCountry": "string",
      "ShipToAddress1": "string",
      "ShipToAddress2": "string",
      "ShipToCity": "string",
      "ShipToState": "string",
      "ShipToCounty": "string",
      "ShipToZip": "string",
      "PONumber": "string",
      "ShipmentCost": 1.1,
      "ShipmentDate": "2024-01-15T09:30:00Z",
      "ShipMethodDescription": "string",
      "TrackingNumber": "string",
      "FulfillmentWarehouse": "string",
      "Serials": "string",
      "InternetId": "string",
      "PaymentTransactionId": "string",
      "WarrantyTransaction": true,
      "ClassOfTrade": "string",
      "ReturnCode": "string",
      "ReturnReason": "string",
      "NumberOfReturnsProcessed": 1,
      "NumberOfItemsPicked": 1,
      "NumberOfServiceItems": 1,
      "NumberOfCasesPicked": 1,
      "EntryManual": 1,
      "EntryImported": 1,
      "PaidWithCreditCard": true,
      "PaidWithCheck": true,
      "PaidWithPurchaseOrder": true,
      "OrderProcessedDomestic": true,
      "OrderProcessedInternational": true,
      "ItemReturnedToStock": true,
      "InternationalDocumentationPreparedByRushOrder": true,
      "Hazardous": true,
      "SpecialCarrierLabelRequested": true,
      "CapturedSerials": true
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://dream.rushorder.com/api/jarreport"

payload = {
    "Period": "P01",
    "Year": 2023
}
headers = {
    "RushOrderMomCode": "ABC"
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://dream.rushorder.com/api/jarreport';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {
    RushOrderMomCode: 'ABC',
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"Period":"P01","Year":2023}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://dream.rushorder.com/api/jarreport"

	payload := strings.NewReader("{\n  \"Period\": \"P01\",\n  \"Year\": 2023\n}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("RushOrderMomCode", "ABC")
	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://dream.rushorder.com/api/jarreport")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["RushOrderMomCode"] = 'ABC'
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"Period\": \"P01\",\n  \"Year\": 2023\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://dream.rushorder.com/api/jarreport")
  .header("RushOrderMomCode", "ABC")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"Period\": \"P01\",\n  \"Year\": 2023\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://dream.rushorder.com/api/jarreport', [
  'body' => '{
  "Period": "P01",
  "Year": 2023
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'RushOrderMomCode' => 'ABC',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://dream.rushorder.com/api/jarreport");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("RushOrderMomCode", "ABC");

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"Period\": \"P01\",\n  \"Year\": 2023\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "RushOrderMomCode": "ABC",
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "Period": "P01",
  "Year": 2023
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://dream.rushorder.com/api/jarreport")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```